Subject: bug#4148: mode: for a minor mode should turn on, not toggle the mode

From: Dan Nicolaescu <[email-masked]>
Date: Sat, 15 Aug 2009 00:05:26 -0700 (PDT)

A well known long standing problem:
using 
mode: SOME_MINOR_MODE

in a local variable section (or in .dir-locals.el) toggles the minor
mode, it should turn it on.

So if the user sets a hook to turn on the minor mode in her emacs, when
using a file that sets the same minor mode, the minor mode ends up being
disable.